-Clean up this TODO and reflect the current status!

-Replace the five remaining files which are non-free accoring to 
 Debians Free Software Guidelines with free ones. click.wav and
 kmus(1-4).wav are only free for non-commercial use.

-check that SVN is free of generated files. create release-script, 
  keep release tarballs (after augen.sh is run) in SVN?

-Test it under MacOSX and windows

-make the code use UTF8 internally

-fix the font handling issues

-Clean up code! (Someone beat it severely with the "oogly stick"!)

  o  SOUND: I think the way laser.c handles sound playing should
     be adopted by the rest of the app (via a function so we don't have
     all these "if (sys_sound)" all over the place

     ---  MAKE THE RUN SOUND NOT HAPPEN IF IT DOESN'T NEED TO!!!
          & STOP IT ONCE IT IS DONE!

  o  COMET ZAP: clean up the way text is generated...  right now
     it is being generated every time! -- plus maybe switch to the
     AA text

     --- idea: once the player gets "done" with a wave, they can
               continue playing on the wave until they are ready 
	       to move on.  They do so by hitting a key 
	       (ENTER/SPACE ??) which causes TUX to destroy all
	       comets at once!
 
  o  OBJECTs: ClearObject, EraseObject, ...  needs to be reworked.
     while these are "objects", I think we should retitle these
     sprites, as clearobject, eraseobject does not do what one
     might think (removing from memory)...  Plus we can probably
     simplify the "realeraseobject" vs. "eraseobject"

  o  LOCALE: gettext & locales...  enough said

  o  MAKE STUFF: Cal is working on it for *nix.  We need to make
     sure we can build for others (win, mac).

  o  THEMES: after gettext is set up, a way to specify font,
     fontsize, and other graphical options for the theme...
     (on top of the already supported images)

     --- Currently when we are loading a image, it will first
         search through all the theme paths, and then it will
         search through all the default paths, which is nice
         except when the theme has "icons" for the menu.  Then
         the program will try to load as many icons and since
         a theme may use fewer images than the default images,
         the theme will have EXTRA frames that shouldn't be 
         included!

  o  INPUT: can TT2 determine if the user presses "fancy" latin
     characters such as n~, ...  I don't know...  a way to test
     exists now though :)

  o  TRANSLATION: once we have gettext working, TT2 will be less
     of a moving target for translators...

  o  Tux Recommend: add tux giving friendly reminders about proper
     hand location, erogomics, ...



The following is a mail with a list of ideas, this is not really a todo (yet).

From: Steve McCuen <smccuen.tux@gmail.com>
To: tuxmath-devel@lists.sourceforge.net
Date: Wed, 16 May 2007 20:25:15 -0700
Message-Id: <1179372315.31920.15.camel@mccuen01.mccuenlabs.net>
Subject: [Tuxmath-devel] tuxtype: feature request list, for comment

This is the list of requests that came from students using tuxtype.  In
looking at the list, some are very possible to do.

* More kinds of games
        * Some suggested maybe a racing game
        * Some suggested pinball typing the right letters would make the
flippers work
        * Space wars, and battle games with space ships
* Different background music
* Different colors
* Different backgrounds
* Practice typing letter groups (finger exercises like Mavis)
* In fish arcade, when you type the letter it highlights in Red, which
is hard to see.
* Too much repetition within the games there are
* More short words, and generally more variety in words and letters
* High score list
* More diversity in difficulty, not just speeding up
* Bonus points, and get more weapons, and rebuild cities
* More then just comets that come down
* Younger grades suggested the following:
        * Fish Cascade to go slower
        * Say the letter as they come down
        * Not only saying the words, make the words tell a story
        * Stops when you miss a letter and gives you a chance to get it right.
* More levels in Fish Cascade and Comet Zap
* Ability to choose whether one comet will destroy a city, or several
* Levels to be longer and harder before switching
* In Space Cadet, get points for hitting target, and takes away if you
miss, and if a city is destroyed it doesn't take away points.
* More shields
